org.eclipse.gef.ui.actions

## Class MatchHeightAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.gef.ui.actions.WorkbenchPartAction
        - - org.eclipse.gef.ui.actions.SelectionAction
          - - org.eclipse.gef.ui.actions.MatchSizeAction
            - - org.eclipse.gef.ui.actions.MatchHeightAction

All Implemented Interfaces:
  Disposable, UpdateAction, IAction

    public class MatchHeightAction
    extends MatchSizeAction

An action that matches the height of all selected EditPart's Figures to the width of the Primary Selection EditPart's Figure.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`MatchHeightAction(IWorkbenchPart part)` Constructs a `MatchHeightAction` and associates it with the given part.

### Method Summary

Methods
`protected double` `getPreciseWidthDelta(PrecisionRectangle precisePartBounds, PrecisionRectangle precisePrimaryBounds)` Returns 0 to make this action affect only the height delta.

### Methods inherited from class org.eclipse.gef.ui.actions.MatchSizeAction

`calculateEnabled, getPreciseHeightDelta, run`

### Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction

`dispose, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

### Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction

`execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatchHeightAction

    public MatchHeightAction(IWorkbenchPart part)

Constructs a `MatchHeightAction` and associates it with the given part.

Parameters:
  `part` - The workbench part associated with this MatchHeightAction

### Method Detail

#### getPreciseWidthDelta

    protected double getPreciseWidthDelta(PrecisionRectangle precisePartBounds,
                              PrecisionRectangle precisePrimaryBounds)

Returns 0 to make this action affect only the height delta.

Overrides:
  `getPreciseWidthDelta` in class `MatchSizeAction`
Parameters:
  `precisePartBounds` - the precise bounds of the EditPart's Figure to be matched
  `precisePrimaryBounds` - the precise bounds of the Primary Selection EditPart's Figure
Returns:
  0.